<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.yidian.shenghuoquan.bgoods.ui.coupon.viewmodel.CommodityManagementViewModel" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true">

        <com.yidian.bcommon.widget.CommonTopBarView
            android:id="@+id/bv_top_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:CommonTopBarView_title_text="@string/commodity_management"
            app:layout_constraintTop_toTopOf="parent" />

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tl_commodity_list"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp46"
            android:layout_marginStart="@dimen/dp20"
            android:layout_marginEnd="@dimen/dp20"
            app:layout_constraintTop_toBottomOf="@id/bv_top_bar"
            app:tabBackground="@color/transparent"
            app:tabIndicator="@drawable/layer_commodity_list_indicator"
            app:tabIndicatorColor="@color/color_333333"
            app:tabIndicatorFullWidth="false"
            app:tabMode="scrollable"
            app:tabRippleColor="@color/transparent"
            app:tabSelectedTextColor="@color/color_333333"
            app:tabTextAppearance="@style/Commodity.Manager.Indicator"
            app:tabTextColor="@color/color_666666" />

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/vp_commodity_list"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tl_commodity_list" />

        <TextView
            android:id="@+id/tv_commodity_publish"
            android:layout_width="@dimen/dp160"
            android:layout_height="@dimen/dp44"
            android:layout_marginBottom="@dimen/dp34"
            android:background="@drawable/shape_bg_common_btn"
            android:gravity="center"
            android:text="@string/publish_commodity"
            android:textColor="@color/white"
            android:textSize="@dimen/sp18"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>